Subject: bug#63438: 30.0.50; abbrev mode wrongly capitalizes with mixed capitalized words

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 May 2023 13:39:50 +0300

> From: Daniel Fleischer <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 11 May 2023 12:00:39 +0300
> 
> 
> Eli Zaretskii [2023-05-11 Thu 11:29] wrote:
> 
> > What did you expect to happen instead?
> 
> I would expect *nothing* to happen; abbrev is key-value mapping; you
> write a key and it replaces it with a value. If you write a word
> that is not a key, you expect nothing to happen. In this case, the
> word is one of the values, and suddenly something happens,
> unexpectedly. I know realize that words are compared with keys
> ignoring the case, but using the case in the expansion. Still, if a
> user writes a word identical to one the abbrev "keys", I would
> expect abbrev to leave it as is.

I guess there's a place for a new defcustom, under which no
case-conversion will happen at abbrev expansion time, ever.  Is that
what you want?  That is, if you have an abbrev foo -> foobarical, then
typing "Foo" or "FOO" will produce a literal "foobarical", each and
every time?